Bug 243084 - pl should depend on readline-devel
Summary: pl should depend on readline-devel
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pl (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-07 08:59 UTC by Roberto Bagnara
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 21:50:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roberto Bagnara 2007-06-07 08:59:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4

Description of problem:
The plld utility distributed with the pl package needs readline-devel to be installed, as it performs linking with -lreadline.


Version-Release number of selected component (if applicable):
pl-5.6.34-1.fc6

How reproducible:
Always


Steps to Reproduce:
It is probably simplest to look at the sources (src/configure.in) and see that, if readline is present, then plld will link with -lreadline.   So either pl should be built in an environment without readline (but this would be a pity) or, for plld to work, both readline and readline-devel are required.


Actual Results:
plld -cc gcc -c++ g++ -ld g++ \
		-ld-options`echo ''  -W -Wall  -g -O2 | tr " " ","` \
		-o ppl_pl ppl_swiprolog.o ppl_pl.o \
		-L../../../src/.libs -lppl \
		-L../../../Watchdog/src/.libs -lpwl \
		 -lm -L/usr/lib -lgmpxx -L/usr/lib -lgmp
/usr/bin/ld: cannot find -lreadline
collect2: ld returned 1 exit status

Expected Results:


Additional info:

Comment 1 Gérard Milmeister 2007-06-08 19:07:04 UTC
Ok, I will add the dependency on readline-devel.


Note You need to log in before you can comment on or make changes to this bug.